> ## Documentation Index
> Fetch the complete documentation index at: https://docs.quiva.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List all KV buckets

> Retrieves a list of all key-value buckets in the system



## OpenAPI

````yaml /api-reference/endpoint/storage/openapi.json get /storage/kv
openapi: 3.0.3
info:
  title: quiva.ai Gateway
  description: >-
    A comprehensive interface for managing key-value stores, object stores,
    streams, and search indexing
  contact:
    name: quiva.ai Support
    url: https://quiva.ai/help-center/
  version: 1.0.0
servers:
  - url: https://api.quiva.ai
    description: Production API server
security:
  - bearerAuth: []
  - apiKeyAuth: []
paths:
  /storage/kv:
    get:
      tags:
        - KV Buckets
      summary: List all KV buckets
      description: Retrieves a list of all key-value buckets in the system
      operationId: getKVBucketList
      responses:
        '200':
          description: Successfully retrieved KV bucket list
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BucketListResponse'
              example:
                body:
                  results:
                    - created: '2025-05-08T12:49:45.02903891Z'
                      name: bucket1
                      description: First bucket
                      entry_total: 0
                    - created: '2025-05-08T12:49:45.02903891Z'
                      name: bucket2
                      description: Second bucket
                      entry_total: 12
                  results_total: 2
                metadata:
                  duration: 5ms
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    BucketListResponse:
      type: object
      properties:
        body:
          type: object
          properties:
            results:
              type: array
              description: List of kv buckets
              items:
                $ref: '#/components/schemas/BucketListItem'
            results_total:
              type: integer
              description: Total number of kv buckets returned
              example: 2
        metadata:
          $ref: '#/components/schemas/Metadata'
    BucketListItem:
      type: object
      properties:
        name:
          type: string
        description:
          type: string
        entry_total:
          type: integer
        metadata:
          type: object
          additionalProperties:
            type: string
        placement:
          type: object
          properties:
            cluster:
              type: string
            tags:
              type: array
              items:
                type: string
        created:
          type: string
          format: date-time
    Metadata:
      type: object
      properties:
        bucket:
          type: string
          description: Bucket name
        duration:
          type: string
          description: Operation duration
        field:
          type: string
          description: Search field
        hits:
          type: integer
          description: Number of hits
        index_duration:
          type: string
          description: Index search duration
        index_hits:
          type: integer
          description: Number of index hits
        index_name:
          type: string
          description: Index name
        index_partitions:
          type: integer
          description: Number of index partitions
        key:
          type: string
          description: Entry key
        limit:
          type: integer
          description: Query limit
        partitions:
          type: integer
          description: Number of partitions
        search:
          type: string
          description: Search term
        stream:
          type: string
          description: Stream name
        subject:
          type: string
          description: Subject pattern
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Error message
  responses:
    UnauthorizedError:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: unauthorized
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: internal_error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````